/*************************************************************************\
* Copyright (c) 2002 The University of Chicago, as Operator of Argonne
*     National Laboratory.
* Copyright (c) 2002 The Regents of the University of California, as
*     Operator of Los Alamos National Laboratory.
* EPICS BASE Versions 3.13.7
* and higher are distributed subject to a Software License Agreement found
* in file LICENSE that is included with this distribution. 
\*************************************************************************/

/*  
 *  hostNameCache.h,v 1.4 2002/10/23 23:35:27 jhill Exp
 *
 *                              
 *                    L O S  A L A M O S
 *              Los Alamos National Laboratory
 *               Los Alamos, New Mexico 87545
 *                                  
 *  Copyright, 1986, The Regents of the University of California.
 *                                  
 *           
 *	Author Jeffrey O. Hill
 *	johill@lanl.gov
 *	505 665 1831
 */

#ifndef hostNameCacheh  
#define hostNameCacheh

#ifdef epicsExportSharedSymbols
#   define hostNameCache_epicsExportSharedSymbols
#   undef epicsExportSharedSymbols
#endif

#include "ipAddrToAsciiAsynchronous.h"
#include "tsFreeList.h"

#ifdef hostNameCache_epicsExportSharedSymbols
#   define epicsExportSharedSymbols
#endif

class hostNameCache : public ipAddrToAsciiAsynchronous {
public:
    hostNameCache ( const osiSockAddr &addr, ipAddrToAsciiEngine &engine );
    ~hostNameCache ();
    void destroy ();
    void ioCompletionNotify ( const char *pHostName );
    void hostName ( char *pBuf, unsigned bufLength ) const;
private:
    bool ioComplete;
    char hostNameBuf [128];
};

#endif // #ifndef hostNameCacheh
